import { jsx } from "react/jsx-runtime";
import { CreditCard as CreditCard$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const CreditCard = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "CreditCard", ...props, children: /* @__PURE__ */ jsx(CreditCard$1, { weight: variant }) });
  }
);
CreditCard.displayName = "CreditCard";
Object.assign(CreditCard, { isGdsIcon: true });
export {
  CreditCard
};
